diff --git a/src/main/java/net/minecraft/client/render/blockentity/FlagBlockEntityRenderer.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlag.java
similarity index 71%
rename from src/main/java/net/minecraft/client/render/blockentity/FlagBlockEntityRenderer.java
rename to src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlag.java
index d8bd8d881..c1503f067 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/FlagBlockEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlag.java
@@ -2,31 +2,31 @@ package net.minecraft.client.render.blockentity;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.FlagRenderer;
-import net.minecraft.client.render.model.FlagModel;
+import net.minecraft.client.render.model.ModelFlag;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.FlagBlockEntity;
+import net.minecraft.core.block.entity.TileEntityFlag;
 
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.wind.WindProvider;
 import org.lwjgl.opengl.GL11;
 
-public class FlagBlockEntityRenderer extends BlockEntityRenderer<FlagBlockEntity>
+public class TileEntityRendererFlag extends TileEntityRenderer<TileEntityFlag>
 {
 
 	public final Minecraft mc = Minecraft.getMinecraft(this);
-    private final FlagModel flagModel;
-    private final FlagModel flagModelMirrored;
+    private final ModelFlag modelFlag;
+    private final ModelFlag modelFlagMirrored;
     private static FlagRenderer flagRenderer = null;
     
-    public FlagBlockEntityRenderer()
+    public TileEntityRendererFlag()
     {
-        flagModel = new FlagModel(false);
-        flagModelMirrored = new FlagModel(true);
+        modelFlag = new ModelFlag(false);
+        modelFlagMirrored = new ModelFlag(true);
     }
 
     @Override
-    public void doRender(Tessellator tessellator, FlagBlockEntity tileEntity, double x, double y, double z, float partialTick) {
+    public void doRender(Tessellator tessellator, TileEntityFlag tileEntity, double x, double y, double z, float partialTick) {
         World theWorld = Minecraft.getMinecraft(this).theWorld;
         int blockUnder = theWorld.getBlockId(tileEntity.x, tileEntity.y - 1, tileEntity.z);
         boolean shortPole = blockUnder == Blocks.FLAG.id;
@@ -40,7 +40,7 @@ public class FlagBlockEntityRenderer extends BlockEntityRenderer<FlagBlockEntity
     }
 
     private long lastTick = 0;
-    public void doRender(FlagBlockEntity flagBlockEntity, double x, double y, double z, float partialTick, boolean shortPole, float windDirection, float windIntensity)
+    public void doRender(TileEntityFlag tileEntityFlag, double x, double y, double z, float partialTick, boolean shortPole, float windDirection, float windIntensity)
     {
         World theWorld = Minecraft.getMinecraft(this).theWorld;
         if (flagRenderer == null)
@@ -53,7 +53,7 @@ public class FlagBlockEntityRenderer extends BlockEntityRenderer<FlagBlockEntity
             flagRenderer.tick();
         }
         
-        float swayInterpolated = flagBlockEntity.sway + partialTick;
+        float swayInterpolated = tileEntityFlag.sway + partialTick;
         
         float sway = (float) ((swayInterpolated / 1.5) % (2 * Math.PI));
         sway = (float) (Math.sin(sway) * windIntensity * 2.0f);
@@ -65,24 +65,24 @@ public class FlagBlockEntityRenderer extends BlockEntityRenderer<FlagBlockEntity
         loadTexture("/assets/minecraft/textures/entity/flag.png");
         if (shortPole)
         {
-            flagModel.renderPoleShort();
+            modelFlag.renderPoleShort();
         }
         else
         {
-            flagModel.renderBase();
-            flagModel.renderPole();
+            modelFlag.renderBase();
+            modelFlag.renderPole();
         }
         
         GL11.glPushMatrix();
         GL11.glRotatef(windDirection + sway, 0.0f, 1.0f, 0.0f);
-        flagModel.renderFlag();
-        renderDispatcher.textureManager.bindTexture(flagRenderer.getTexture(flagBlockEntity));
+        modelFlag.renderFlag();
+        renderDispatcher.textureManager.bindTexture(flagRenderer.getTexture(tileEntityFlag));
         GL11.glEnable(GL11.GL_BLEND);
         GL11.glBlendFunc(GL11.GL_ONE_MINUS_SRC_COLOR, GL11.GL_SRC_COLOR);
-        if (flagBlockEntity.getFlipped()) {
-            flagModelMirrored.renderFlagOverlay();
+        if (tileEntityFlag.getFlipped()) {
+            modelFlagMirrored.renderFlagOverlay();
         } else {
-            flagModel.renderFlagOverlay();
+            modelFlag.renderFlagOverlay();
         }
         GL11.glDisable(GL11.GL_BLEND);
         GL11.glPopMatrix();
diff --git a/src/main/java/net/minecraft/client/render/blockentity/FlowerJarBlockEntityRenderer.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlowerJar.java
similarity index 79%
rename from src/main/java/net/minecraft/client/render/blockentity/FlowerJarBlockEntityRenderer.java
rename to src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlowerJar.java
index e44caeefe..b38cf42e6 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/FlowerJarBlockEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlowerJar.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render.blockentity;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.RenderBlocks;
@@ -10,25 +9,16 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.FlowerJarBlockEntity;
+import net.minecraft.core.block.entity.TileEntityFlowerJar;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
-import java.util.Map;
-
 import static org.lwjgl.opengl.GL11.GL_BLEND;
-import static org.lwjgl.opengl.GL11.GL_COLOR_MATERIAL;
-import static org.lwjgl.opengl.GL11.GL_FLAT;
-import static org.lwjgl.opengl.GL11.GL_LIGHT0;
-import static org.lwjgl.opengl.GL11.GL_LIGHT1;
-import static org.lwjgl.opengl.GL11.GL_LIGHTING;
 import static org.lwjgl.opengl.GL11.GL_ONE_MINUS_SRC_ALPHA;
 import static org.lwjgl.opengl.GL11.GL_SRC_ALPHA;
-import static org.lwjgl.opengl.GL11.glEnable;
-import static org.lwjgl.opengl.GL11.glShadeModel;
 
-public class FlowerJarBlockEntityRenderer extends BlockEntityRenderer<FlowerJarBlockEntity> {
+public class TileEntityRendererFlowerJar extends TileEntityRenderer<TileEntityFlowerJar> {
     private RenderBlocks renderBlocks;
     @Override
     public void onWorldChanged(World world)
@@ -36,7 +26,7 @@ public class FlowerJarBlockEntityRenderer extends BlockEntityRenderer<FlowerJarB
         renderBlocks = new RenderBlocks(world);
     }
     @Override
-    public void doRender(Tessellator tessellator, FlowerJarBlockEntity tileEntity, double x, double y, double z, float renderPartialTicks) {
+    public void doRender(Tessellator tessellator, TileEntityFlowerJar tileEntity, double x, double y, double z, float renderPartialTicks) {
         GL11.glPushMatrix();
         Block block = Block.getBlock(tileEntity.flowerInPot);
         if(block != null){
diff --git a/src/main/java/net/minecraft/client/render/blockentity/MeshBlockEntityRenderer.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMeshGold.java
similarity index 83%
rename from src/main/java/net/minecraft/client/render/blockentity/MeshBlockEntityRenderer.java
rename to src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMeshGold.java
index 4b832d2ee..2c417b1a9 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/MeshBlockEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMeshGold.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.render.blockentity;
 
-import net.minecraft.core.block.entity.GoldMeshBlockEntity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.block.entity.TileEntityMeshGold;
+import net.minecraft.core.entity.EntityItem;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.Minecraft;
@@ -14,14 +14,14 @@ import net.minecraft.core.util.helper.MathHelper;
 import java.util.Random;
 import org.lwjgl.opengl.GL12;
 
-public class MeshBlockEntityRenderer extends BlockEntityRenderer<GoldMeshBlockEntity> {
+public class TileEntityRendererMeshGold extends TileEntityRenderer<TileEntityMeshGold> {
 	
-	public ItemEntity renderEntity = new ItemEntity(null);
+	public EntityItem renderEntity = new EntityItem(null);
 
     private Random rand = new Random();
 
     @Override
-    public void doRender(Tessellator tessellator, GoldMeshBlockEntity tileEntity, double x, double y, double z, float renderPartialTicks) {
+    public void doRender(Tessellator tessellator, TileEntityMeshGold tileEntity, double x, double y, double z, float renderPartialTicks) {
         if(tileEntity.filterItem == null) return;
         GL11.glPushMatrix();
 
diff --git a/src/main/java/net/minecraft/client/render/blockentity/MobSpawnerBlockEntityRenderer.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMobSpawner.java
similarity index 80%
rename from src/main/java/net/minecraft/client/render/blockentity/MobSpawnerBlockEntityRenderer.java
rename to src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMobSpawner.java
index bea6ec1b3..239deb2ba 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/MobSpawnerBlockEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMobSpawner.java
@@ -5,20 +5,20 @@ import java.util.Map;
 
 import net.minecraft.client.render.EntityRenderDispatcher;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.block.entity.MobSpawnerBlockEntity;
+import net.minecraft.core.block.entity.TileEntityMobSpawner;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            TileEntitySpecialRenderer, MobSpawnerBlockEntity, Entity, EntityList,
-//            RenderManager, BlockEntity
+//            TileEntitySpecialRenderer, TileEntityMobSpawner, Entity, EntityList,
+//            RenderManager, TileEntity
 
-public class MobSpawnerBlockEntityRenderer extends BlockEntityRenderer<MobSpawnerBlockEntity>
+public class TileEntityRendererMobSpawner extends TileEntityRenderer<TileEntityMobSpawner>
 {
 
-    public MobSpawnerBlockEntityRenderer()
+    public TileEntityRendererMobSpawner()
     {
         entityHashMap = new HashMap<>();
     }
@@ -28,7 +28,7 @@ public class MobSpawnerBlockEntityRenderer extends BlockEntityRenderer<MobSpawne
     }
 
     @Override
-	public void doRender(Tessellator tessellator, MobSpawnerBlockEntity mobSpawner, double x, double y, double z,
+	public void doRender(Tessellator tessellator, TileEntityMobSpawner mobSpawner, double x, double y, double z,
                          float partialTick)
     {
         GL11.glPushMatrix();
diff --git a/src/main/java/net/minecraft/client/render/blockentity/PistonBlockEntityRenderer.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMovingPiston.java
similarity index 73%
rename from src/main/java/net/minecraft/client/render/blockentity/PistonBlockEntityRenderer.java
rename to src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMovingPiston.java
index 53f7dba58..95028fa1b 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/PistonBlockEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMovingPiston.java
@@ -6,22 +6,22 @@ import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.block.model.PistonBlockModel;
-import net.minecraft.client.render.block.model.PistonHeadBlockModel;
+import net.minecraft.client.render.block.model.BlockModelPiston;
+import net.minecraft.client.render.block.model.BlockModelPistonHead;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.block.piston.PistonBaseBlock;
-import net.minecraft.core.block.piston.MovingPistonBlockEntity;
-import net.minecraft.core.block.piston.PistonHeadBlock;
-import net.minecraft.core.block.piston.SteelPistonBaseBlock;
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.piston.BlockPistonBase;
+import net.minecraft.core.block.piston.TileEntityMovingPistonBlock;
+import net.minecraft.core.block.piston.BlockPistonHead;
+import net.minecraft.core.block.piston.BlockPistonBaseSteel;
 import net.minecraft.core.world.BlocksContainer;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
-public class PistonBlockEntityRenderer extends BlockEntityRenderer<MovingPistonBlockEntity>
+public class TileEntityRendererMovingPiston extends TileEntityRenderer<TileEntityMovingPistonBlock>
 {
     private RenderBlocks renderBlocks;
     private final Minecraft mc;
@@ -29,7 +29,7 @@ public class PistonBlockEntityRenderer extends BlockEntityRenderer<MovingPistonB
     private BlocksContainer container = null;
     private RenderBlocks containerRenderBlock = null;
 
-    public PistonBlockEntityRenderer()
+    public TileEntityRendererMovingPiston()
     {
         mc = Minecraft.getMinecraft(this);
     }
@@ -41,7 +41,7 @@ public class PistonBlockEntityRenderer extends BlockEntityRenderer<MovingPistonB
     }
 
     @Override
-	public void doRender(Tessellator tessellator, MovingPistonBlockEntity blockEntity, double x, double y, double z,
+	public void doRender(Tessellator tessellator, TileEntityMovingPistonBlock blockEntity, double x, double y, double z,
                          float partialTick)
     {
         Block block = Block.blocksList[blockEntity.getMovedId()];
@@ -65,24 +65,24 @@ public class PistonBlockEntityRenderer extends BlockEntityRenderer<MovingPistonB
             }
             tessellator.startDrawingQuads();
             tessellator.setTranslation(((float)x - (float)blockEntity.x) + blockEntity.getXOff(partialTick), ((float)y - (float)blockEntity.y) + blockEntity.getYOff(partialTick), ((float)z - (float)blockEntity.z) + blockEntity.getZOff(partialTick));
-            if(block instanceof PistonHeadBlock && blockEntity.getProgress(partialTick) < 0.5F)
+            if(block instanceof BlockPistonHead && blockEntity.getProgress(partialTick) < 0.5F)
             {
                 BlockModel.setRenderBlocks(renderBlocks);
-                ((PistonHeadBlockModel)BlockModelDispatcher.getInstance().getDispatch(block)).renderPistonHeadNoCulling(tessellator, (PistonHeadBlock) block, blockEntity.x, blockEntity.y, blockEntity.z, false);
+                ((BlockModelPistonHead)BlockModelDispatcher.getInstance().getDispatch(block)).renderPistonHeadNoCulling(tessellator, (BlockPistonHead) block, blockEntity.x, blockEntity.y, blockEntity.z, false);
             } else
             if(blockEntity.isSourcePiston() && !blockEntity.isExtending())
             {
-                PistonBlockModel<PistonBaseBlock> pistonBase = (PistonBlockModel) BlockModelDispatcher.getInstance().getDispatch(block);
+                BlockModelPiston<BlockPistonBase> pistonBase = (BlockModelPiston) BlockModelDispatcher.getInstance().getDispatch(block);
                 BlockModel.setRenderBlocks(renderBlocks);
-                if (block instanceof SteelPistonBaseBlock) { // Todo remove this terrible hardcoded render code
-                    PistonHeadBlockModel blockModelPistonHead = ((PistonHeadBlockModel) BlockModelDispatcher.getInstance().getDispatch(Blocks.PISTON_HEAD_STEEL));
+                if (block instanceof BlockPistonBaseSteel) { // Todo remove this terrible hardcoded render code
+                    BlockModelPistonHead blockModelPistonHead = ((BlockModelPistonHead) BlockModelDispatcher.getInstance().getDispatch(Blocks.PISTON_HEAD_STEEL));
                     blockModelPistonHead.setFaceTextureOverride(pistonBase.getFaceTexture());
-                    blockModelPistonHead.renderPistonHeadNoCulling(tessellator, (PistonHeadBlock) Blocks.PISTON_HEAD_STEEL, blockEntity.x, blockEntity.y, blockEntity.z, blockEntity.getProgress(partialTick) < 0.5F);
+                    blockModelPistonHead.renderPistonHeadNoCulling(tessellator, (BlockPistonHead) Blocks.PISTON_HEAD_STEEL, blockEntity.x, blockEntity.y, blockEntity.z, blockEntity.getProgress(partialTick) < 0.5F);
                     blockModelPistonHead.setFaceTextureOverride(null);
                 } else {
-                    PistonHeadBlockModel blockModelPistonHead = ((PistonHeadBlockModel) BlockModelDispatcher.getInstance().getDispatch(Blocks.PISTON_HEAD));
+                    BlockModelPistonHead blockModelPistonHead = ((BlockModelPistonHead) BlockModelDispatcher.getInstance().getDispatch(Blocks.PISTON_HEAD));
                     blockModelPistonHead.setFaceTextureOverride(pistonBase.getFaceTexture());
-                    blockModelPistonHead.renderPistonHeadNoCulling(tessellator, (PistonHeadBlock) Blocks.PISTON_HEAD, blockEntity.x, blockEntity.y, blockEntity.z, blockEntity.getProgress(partialTick) < 0.5F);
+                    blockModelPistonHead.renderPistonHeadNoCulling(tessellator, (BlockPistonHead) Blocks.PISTON_HEAD, blockEntity.x, blockEntity.y, blockEntity.z, blockEntity.getProgress(partialTick) < 0.5F);
                     blockModelPistonHead.setFaceTextureOverride(null);
                 }
                 tessellator.setTranslation((float)x - (float)blockEntity.x, (float)y - (float)blockEntity.y, (float)z - (float)blockEntity.z);
@@ -100,8 +100,8 @@ public class PistonBlockEntityRenderer extends BlockEntityRenderer<MovingPistonB
 
             Lighting.enableLight();
 
-            BlockEntity movedEntity = blockEntity.getMovedEntity();
-            BlockEntityRenderer<BlockEntity> renderer = BlockEntityRenderDispatcher.instance.getRenderer(movedEntity);
+            TileEntity movedEntity = blockEntity.getMovedEntity();
+            TileEntityRenderer<TileEntity> renderer = BlockEntityRenderDispatcher.instance.getRenderer(movedEntity);
             if (renderer != null) {
                 GL11.glPushMatrix();
                 GL11.glTranslatef(blockEntity.getXOff(partialTick), blockEntity.getYOff(partialTick), blockEntity.getZOff(partialTick));
diff --git a/src/main/java/net/minecraft/client/render/blockentity/SignBlockEntityRenderer.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/blockentity/SignBlockEntityRenderer.java
rename to src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
index 2a7cd1496..16a60890f 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/SignBlockEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
@@ -3,33 +3,33 @@ package net.minecraft.client.render.blockentity;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.LightmapHelper;
-import net.minecraft.client.render.model.SignModel;
+import net.minecraft.client.render.model.ModelSign;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.SignBlockEntity;
+import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.enums.EnumSignPicture;
 import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            TileEntitySpecialRenderer, SignModel, SignBlockEntity, Block,
-//            ModelRenderer, FontRenderer, BlockEntity
+//            TileEntitySpecialRenderer, ModelSign, TileEntitySign, Block,
+//            ModelRenderer, FontRenderer, TileEntity
 
-public class SignBlockEntityRenderer extends BlockEntityRenderer<SignBlockEntity>
+public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
 {
 
 	private final Minecraft mc = Minecraft.getMinecraft(this);
 	
-    public SignBlockEntityRenderer()
+    public TileEntityRendererSign()
     {
-        signModel = new SignModel();
+        modelSign = new ModelSign();
     }
 
-    public void renderTileEntitySignAt(SignBlockEntity tileEntity, double d, double d1, double d2,
+    public void renderTileEntitySignAt(TileEntitySign tileEntity, double d, double d1, double d2,
                                        float f)
     {
         Block block = tileEntity.getBlock();
@@ -40,7 +40,7 @@ public class SignBlockEntityRenderer extends BlockEntityRenderer<SignBlockEntity
             GL11.glTranslatef((float)d + 0.5F, (float)d1 + 0.75F * scale, (float)d2 + 0.5F);
             float f2 = (float)(tileEntity.getBlockMeta() * 360) / 16F;
             GL11.glRotatef(-f2, 0.0F, 1.0F, 0.0F);
-            signModel.signStick.visible = true;
+            modelSign.signStick.visible = true;
         }
         else
         {
@@ -64,12 +64,12 @@ public class SignBlockEntityRenderer extends BlockEntityRenderer<SignBlockEntity
             GL11.glTranslatef((float)d + 0.5F, (float)d1 + 0.75F * scale, (float)d2 + 0.5F);
             GL11.glRotatef(-f3, 0.0F, 1.0F, 0.0F);
             GL11.glTranslatef(0.0F, -0.3125F, -0.4375F);
-            signModel.signStick.visible = false;
+            modelSign.signStick.visible = false;
         }
         loadTexture("/assets/minecraft/textures/entity/sign.png");
         GL11.glPushMatrix();
         GL11.glScalef(scale, -scale, -scale);
-        signModel.render();
+        modelSign.render();
         GL11.glPopMatrix();
         Font font = getFont();
 
@@ -124,7 +124,7 @@ public class SignBlockEntityRenderer extends BlockEntityRenderer<SignBlockEntity
     }
 
     @Override
-	public void doRender(Tessellator tessellator, SignBlockEntity tileEntity, double x, double y, double z,
+	public void doRender(Tessellator tessellator, TileEntitySign tileEntity, double x, double y, double z,
                          float partialTick)
     {
         renderTileEntitySignAt(tileEntity, x, y, z, partialTick);
@@ -143,5 +143,5 @@ public class SignBlockEntityRenderer extends BlockEntityRenderer<SignBlockEntity
     }
 
 
-    private final SignModel signModel;
+    private final ModelSign modelSign;
 }
diff --git a/src/main/java/net/minecraft/client/render/camera/CameraUtil.java b/src/main/java/net/minecraft/client/render/camera/CameraUtil.java
index 9c55f6705..63f9ae7fc 100644
--- a/src/main/java/net/minecraft/client/render/camera/CameraUtil.java
+++ b/src/main/java/net/minecraft/client/render/camera/CameraUtil.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.render.camera;
 
+import net.minecraft.core.block.BlockFluid;
 import net.minecraft.core.util.phys.HitResult;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FluidBlock;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3;
@@ -27,7 +27,7 @@ public abstract class CameraUtil
         int id = world.getBlockId(x, y, z);
         if(id != 0 && Block.blocksList[id].blockMaterial == material)
         {
-            float f = FluidBlock.getWaterVolume(world.getBlockMetadata(x, y, z)) - 0.2F;
+            float f = BlockFluid.getWaterVolume(world.getBlockMetadata(x, y, z)) - 0.2F;
             float f1 = (float)(y + 1) - f;
             return cameraY < (double)f1;
         }
diff --git a/src/main/java/net/minecraft/client/render/camera/EntityCameraIsometric.java b/src/main/java/net/minecraft/client/render/camera/EntityCameraIsometric.java
index 6eba0fcae..b20bea47d 100644
--- a/src/main/java/net/minecraft/client/render/camera/EntityCameraIsometric.java
+++ b/src/main/java/net/minecraft/client/render/camera/EntityCameraIsometric.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.render.camera;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.PhotoModeScreen;
+import net.minecraft.client.gui.ScreenPhotoMode;
 import net.minecraft.core.entity.Mob;
 
 public class EntityCameraIsometric
@@ -13,9 +13,9 @@ public class EntityCameraIsometric
 
     @Override
     public boolean showPlayer() {
-        if (mc.currentScreen instanceof PhotoModeScreen)
+        if (mc.currentScreen instanceof ScreenPhotoMode)
         {
-            return ((PhotoModeScreen)mc.currentScreen).showPlayer;
+            return ((ScreenPhotoMode)mc.currentScreen).showPlayer;
         }
 
         return true;
diff --git a/src/main/java/net/minecraft/client/render/entity/ArrowRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererArrow.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/entity/ArrowRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererArrow.java
index b85f5fa39..0996f594e 100644
--- a/src/main/java/net/minecraft/client/render/entity/ArrowRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererArrow.java
@@ -1,15 +1,15 @@
 package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.projectile.ArrowProjectile;
+import net.minecraft.core.entity.projectile.ProjectileArrow;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
 
-public class ArrowRenderer extends EntityRenderer<ArrowProjectile>
+public class EntityRendererArrow extends EntityRenderer<ProjectileArrow>
 {
     @Override
-    public void render(Tessellator tessellator, ArrowProjectile arrow, double x, double y, double z,
+    public void render(Tessellator tessellator, ProjectileArrow arrow, double x, double y, double z,
                        float yaw, float partialTick) {
         bindTexture("/assets/minecraft/textures/entity/arrows.png");
         GL11.glPushMatrix();
diff --git a/src/main/java/net/minecraft/client/render/entity/BoatRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
similarity index 83%
rename from src/main/java/net/minecraft/client/render/entity/BoatRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
index ec4bf0bfd..cf80aed37 100644
--- a/src/main/java/net/minecraft/client/render/entity/BoatRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
@@ -2,11 +2,11 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.BlockEntityRenderDispatcher;
-import net.minecraft.client.render.model.BaseModel;
-import net.minecraft.client.render.model.BoatModel;
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.client.render.model.ModelBoat;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.client.render.blockentity.FlagBlockEntityRenderer;
+import net.minecraft.client.render.blockentity.TileEntityRendererFlag;
 import net.minecraft.core.entity.vehicle.BoatEntity;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
@@ -14,18 +14,18 @@ import net.minecraft.core.world.wind.WindProvider;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, BoatModel, BoatEntity, MathHelper,
-//            BaseModel, Entity
+//            Render, ModelBoat, BoatEntity, MathHelper,
+//            ModelBase, Entity
 
-public class BoatRenderer extends EntityRenderer<BoatEntity>
+public class EntityRendererBoat extends EntityRenderer<BoatEntity>
 {
 	
 	private final Minecraft mc = Minecraft.getMinecraft(this);
 
-    public BoatRenderer()
+    public EntityRendererBoat()
     {
         shadowSize = 0.5F;
-        modelBoat = new BoatModel();
+        modelBoat = new ModelBoat();
         flagRenderer.setRenderDispatcher(BlockEntityRenderDispatcher.instance);
     }
 
@@ -71,6 +71,6 @@ public class BoatRenderer extends EntityRenderer<BoatEntity>
         GL11.glPopMatrix();
     }
 
-    protected BaseModel modelBoat;
-    private FlagBlockEntityRenderer flagRenderer = new FlagBlockEntityRenderer();
+    protected ModelBase modelBoat;
+    private TileEntityRendererFlag flagRenderer = new TileEntityRendererFlag();
 }
diff --git a/src/main/java/net/minecraft/client/render/entity/CannonballRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRendererCannonball.java
similarity index 60%
rename from src/main/java/net/minecraft/client/render/entity/CannonballRenderer.java
rename to src/main/java/net/minecraft/client/render/entity/EntityRendererCannonball.java
index 1e54c9272..af0cdb3cd 100644
--- a/src/main/java/net/minecraft/client/render/entity/CannonballRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRendererCannonball.java
@@ -1,24 +1,24 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.model.BaseModel;
-import net.minecraft.client.render.model.CannonballModel;
+import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.client.render.model.ModelCannonball;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.projectile.CannonballProjectile;
+import net.minecraft.core.entity.projectile.ProjectileCannonball;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
 //            Render, Tessellator, MathHelper,
 //            Entity
 
-public class CannonballRenderer extends EntityRenderer<CannonballProjectile>
+public class EntityRendererCannonball extends EntityRenderer<ProjectileCannonball>
 {
 
-    public CannonballRenderer()
+    public EntityRendererCannonball()
     {
-        modelCannonball = new CannonballModel();
+        modelCannonball = new ModelCannonball();
     }
 
-    public void RenderCannonball(CannonballProjectile entity, double d, double d1, double d2,
+    public void RenderCannonball(ProjectileCannonball entity, double d, double d1, double d2,
                                  float f)
     {
         GL11.glPushMatrix();
@@ -31,11 +31,11 @@ public class CannonballRenderer extends EntityRenderer<CannonballProjectile>
     }
 
     @Override
-    public void render(Tessellator tessellator, CannonballProjectile entity, double x, double y, double z,
+    public void render(Tessellator tessellator, ProjectileCannonball entity, double x, double y, double z,
                        float yaw, float partialTick)
     {
         RenderCannonball(entity, x, y, z, yaw);
     }
 
-    protected BaseModel modelCannonball;
+    protected ModelBase modelCannonball;
 }
\ No newline at end of file
